<html>
<head>
<title>Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1ManualObjectFactory.html">ManualObjectFactory</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">Ogre::ManualObjectFactory Member List</div>  </div>
</div><!--header-->
<div class="contents">
This is the complete list of members for <a class="el" href="classOgre_1_1ManualObjectFactory.html">Ogre::ManualObjectFactory</a>, including all inherited members.<table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObjectFactory.html#afe63ec95c506e97e9abca23b7fd1a537">_notifyTypeFlags</a>(unsigned long flag)</td><td><a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a366445eb206e55a2199267b8b9089ebb">AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td><code> [explicit]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObjectFactory.html#a7164ba391aead569e43e5713c7281d7b">createInstance</a>(const String &amp;name, SceneManager *manager, const NameValuePairList *params=0)</td><td><a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ManualObjectFactory.html#a03b92eac898b8380d5ea411c1d6a7f60">createInstanceImpl</a>(const String &amp;name, const NameValuePairList *params)</td><td><a class="el" href="classOgre_1_1ManualObjectFactory.html">Ogre::ManualObjectFactory</a></td><td><code> [protected, virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ManualObjectFactory.html#abcaadec45f403cb7d358fdb9e519de25">destroyInstance</a>(MovableObject *obj)</td><td><a class="el" href="classOgre_1_1ManualObjectFactory.html">Ogre::ManualObjectFactory</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ManualObjectFactory.html#a17fec4f461f88f160ddf4d049fb3b604">FACTORY_TYPE_NAME</a></td><td><a class="el" href="classOgre_1_1ManualObjectFactory.html">Ogre::ManualObjectFactory</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ManualObjectFactory.html#a0a97ac9f90a08a79b411bb6577ce3ac4">getType</a>(void) const </td><td><a class="el" href="classOgre_1_1ManualObjectFactory.html">Ogre::ManualObjectFactory</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObjectFactory.html#a9b2028dca564c74453994926db4f50d0">getTypeFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ManualObjectFactory.html#ae7ff8d7532887e279d5bc70a022b94a8">ManualObjectFactory</a>()</td><td><a class="el" href="classOgre_1_1ManualObjectFactory.html">Ogre::ManualObjectFactory</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObjectFactory.html#a20ebc986aa86806dc61a95e86312500f">MovableObjectFactory</a>()</td><td><a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObjectFactory.html#ad35a2db6426d02a75b85f133a26d5387">mTypeFlag</a></td><td><a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a></td><td><code> [protected]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a>(void *ptr, void *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a>(void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a>(void *ptr, const char *, int, const char *)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a>(size_t sz, void *ptr)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a>(size_t sz, const char *file, int line, const char *func)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a>(size_t sz)</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObjectFactory.html#a80346bc406655855ec5e0eef198900f2">requestTypeFlags</a>(void) const </td><td><a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a></td><td><code> [virtual]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AllocatedObject.html#a499773d35ca98b2df7c2699fc8c1bea2">~AllocatedObject</a>()</td><td><a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject&lt; Alloc &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1ManualObjectFactory.html#aada4dab11e551ca13355df254ac0305b">~ManualObjectFactory</a>()</td><td><a class="el" href="classOgre_1_1ManualObjectFactory.html">Ogre::ManualObjectFactory</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1MovableObjectFactory.html#a102fc90d87f01bbd0680ccb58a2d5050">~MovableObjectFactory</a>()</td><td><a class="el" href="classOgre_1_1MovableObjectFactory.html">Ogre::MovableObjectFactory</a></td><td><code> [virtual]</code></td></tr>
</table></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:58
</p>
</body>
</html>
